unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Series, TeEngine, TeeGauges, ExtCtrls, TeeProcs, Chart,
  TeePDFCanvas, TeePCX, TeeSVGCanvas,    TeeVMLCanvas,   TeePSCanvas,    TeeGIF,
  TeePNG,   TeeJPEG,  Buttons, TeeEdit, StdCtrls, JPEG, TeeExport,TeeBmpOptions,
  TeeEmfOptions, TeeEdiTCha, Menus;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Timer1: TTimer;
    Series1: TGaugeSeries;
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    ChartEditor1: TChartEditor;
    procedure Timer1Timer(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Timer1Timer(Sender: TObject);
begin
Series1.Value := Random(100);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
Close;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
ChartEditor1.HideTabs :=
            [ cetMain,  cetGeneral, cetAxis,    cetTitles,
						  cetLegend,cetPanel,   cetPaging,  cetWalls,
              cet3D,    cetSeriesGeneral,       cetSeriesMarks,
              cetAllSeries,         cetSeriesData,
              cetExport,  cetTools, cetPrintPreview ];
ChartEditor1.Title := '图表导出(Export)';
ChartEditor1.HighLightTabs := true;	//高亮
ChartEditor1.DefaultTab := cetExport;	//页面名称
ChartEditor1.Execute;
end;

end.
